#====START_GENERATED_PROLOG======================================
#
#
#   COMPONENT_NAME: odscriptableparts
#
#   CLASSES: none
#
#   ORIGINS: 82,27
#
#
#   (C) COPYRIGHT International Business Machines Corp. 1995,1996
#   All Rights Reserved
#   Licensed Materials - Property of IBM
#   US Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#   	
#   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
#   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
#   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
#   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
#   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
#   OR PERFORMANCE OF THIS SOFTWARE.
#
#====END_GENERATED_PROLOG========================================
#
# @(#) 1.12 nt/src/samples/scrsimpl/makefile.mak, odsimplescript, od96nt, odnt9712d 2/27/97 09:31:50 [3/21/97 17:38:13]
#

# If you wish to add to the existing compile and link flags, you can
# do it with these macros

ExtraSOMCompileOptions =

ExtraCompileOptions =

ExtraLinkOptions =


# ===================================================================
# Subdirectories you want nmake to visit
#Subdirs =


# ===================================================================
# Targets

# IdlTargets = List all the idls
# HdrTargets = List all the C++ headers
# MsgTargets = List all the message catalogs
# LibTargets = List all export libraries to be built
# DllTargets = List all shared libraries to be built
#
# The Reg* and File*  macros are used to generate a table of contents
# and an install package


IdlTargets = iodscrsp.idl iodspext.idl iodspevt.idl

RcTargets = iodscrsp.rc

HdrTargets = iodscrsp.h iodspcl.h

MsgTargets =

LibTargets = $(ODSRC)/lib/iodscrsp.$(LibSuffix)

DllTargets = $(ODSRC)/dll/iodscrsp.dll

CtypelibIDL=iodscrsp.idl
CtypelibDir=$(ODSRC)/src/scrsimpl
CtypelibCmdLineArgsFile=iodscrsp.cin

RegMain=iodscrsp.dll
RegIDL=$(IdlTargets)
RegClassName=ScriptableSimplePart
RegKind=ScriptableSimplePart
FilesDlls=iodscrsp.dll
FilesIncs=$(IdlTargets) $(IdlTargets:.idl=.xh) $(HdrTargets)
FilesLibs=iodscrsp.$(LibSuffix)
FilesCats=
FilesStationery=
FilesTypeLibs=iodscrsp.tlb

# ===================================================================
# Common Inference Rules

# Platform.mak contains all the platform specific code to build the
# sample. Check it to verify which compiler the sample is using.

!include $(ODSRC)/src/Platform.mak


# ===================================================================
# Rules

ScrSimplprtObjList = iodscrsp.$(Obj) iodspext.$(Obj)

iodscrsp.$(Obj) : iodscrsp.cpp iodscrsp.xih iodscrsp.h

iodspext.$(Obj) : iodspext.cpp iodspext.xih

ScrSimplprtLibList = \
!IF "$(Platform)"=="win32"
        {$(LIB)}msgdll.$(LibSuffix) \
!ENDIF
        {$(LIB)}somtk.$(LibSuffix) \
        {$(LIB)}iodutils.$(LibSuffix) \
        {$(LIB)}oddsscr.$(LibSuffix) \
        {$(LIB)}oddsevnt.$(LibSuffix) \
        {$(LIB)}odimagng.$(LibSuffix) \
        {$(LIB)}odui.$(LibSuffix) \
        {$(LIB)}odlayout.$(LibSuffix) \
        {$(LIB)}odcore.$(LibSuffix) \
        {$(LIB)}odstorag.$(LibSuffix) \
        {$(LIB)}iodsimpl.$(LibSuffix)


$(ODSRC)/dll/iodscrsp.dll :  $(ODSRC)/lib/iodscrsp.$(Exp) \
        $(ScrSimplprtLibList) \
        $(ScrSimplprtObjList)
        @$(BuildDllWithRes) "RecFile=iodscrsp.res" BuildDllRule

$(ODSRC)/lib/iodscrsp.$(Def) :  iodscrsp.$(Def)
        @$(BuildCopy)


$(ODSRC)/lib/iodscrsp.$(LibSuffix) : \
!IFDEF CPPMAIN
        $(ODSRC)/lib/iodscrsp.$(Def) \
!ENDIF
        $(ScrSimplprtObjList)
        @$(BuildLib)

# end of file
